From: Sophie Brun <sophie@offensive-security.com>
Date: Fri, 24 Nov 2023 16:22:44 +0100
Subject: Create config user dir in phishkin3

phishkin3 fails with
AttributeError: 'SettingsINI' object has no attribute 'psettings'
---
 wifipumpkin3/plugins/bin/phishkin3.py | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/wifipumpkin3/plugins/bin/phishkin3.py b/wifipumpkin3/plugins/bin/phishkin3.py
index 0d636e3..ec165b0 100644
--- a/wifipumpkin3/plugins/bin/phishkin3.py
+++ b/wifipumpkin3/plugins/bin/phishkin3.py
@@ -1,5 +1,6 @@
 from flask import Flask, request, redirect, render_template
 from urllib.parse import urlencode, unquote
+from wifipumpkin3.core.config.setup import create_user_dir_config
 from wifipumpkin3.core.utility.collection import SettingsINI
 import wifipumpkin3.core.utility.constants as C
 import sys
@@ -8,6 +9,8 @@ import argparse
 
 
 app = Flask(__name__)
+# create config dir if not have
+create_user_dir_config()
 REDIRECT = None
 URL_REDIRECT_AFTER_LOGIN = None
 URL_PHISHINGCLOUD = None
